## org.apache.cassandra.scheduler
Interface WeightedQueueMBean

    public interface WeightedQueueMBean

Exposes client request scheduling metrics for a particular scheduler queue.

Method Summary
`long` `getOperations()`
`long[]` `getRecentLatencyHistogramMicros()`
`double` `getRecentLatencyMicros()`
`long[]` `getTotalLatencyHistogramMicros()`
`long` `getTotalLatencyMicros()`

Method Detail

### getOperations

    long getOperations()

### getTotalLatencyMicros

    long getTotalLatencyMicros()

### getRecentLatencyMicros

    double getRecentLatencyMicros()

### getTotalLatencyHistogramMicros

    long[] getTotalLatencyHistogramMicros()

### getRecentLatencyHistogramMicros

    long[] getRecentLatencyHistogramMicros()

Copyright © 2012 The Apache Software Foundation